Skip to main content Skip to footer

  • Alert Me
  • Print
Download

Kuassa EVE-MP5 Equalizer Plug-In

  • Write a Review

The Kuassa EVE-MP5 is a reproduction of two of the most sought-after classic hardware equalizers, the Pultec MEQ-5 Midrange Equalizer and the EQP-1A ...Click To Read More About This Product

Download After Purchase!

  • Your Price :
    $59.00
Add to Cart

Availability: 

After finalizing your order for this downloadable product you'll receive an activation key via email. This email will include a product link and directions for downloading.(Credit approval may take up to 24 hours.)

SKU 
L85874000000000
Add to Wish List

Earn up to 295 reward points.

OVERVIEW

A modern EQ combining two classic hardware equalizers.

The Kuassa EVE-MP5 is a reproduction of two of the most sought-after classic hardware equalizers, the Pultec MEQ-5 Midrange Equalizer and the EQP-1A Program Equalizer. The EVE-MP5 combines both EQs into a compact, single plugin with a color-coded, straightforward interface intended for fast workflows and maximum usability. Known for its signature frequency curves, the EVE-MP5 brings massive lows, smooth mids and shiny highs to any track you put them into. The MP5 is also loaded with a power amp saturation unit in the signal path. Turn it on for a hotter signal and dial the input to give a mild edge to your tracks, or push more for an overdriven sound. The “Auto” switch in the input section is useful for maintaining constant gain levels while cranking the saturation via the input knob.

MPN: 1035-1337
FEATURES
  • Combination of the two Pultec EQs into a single, compact plug-in
  • Color coded knobs and straightforward interface for fast workflows
  • Unique Saturation unit on the input path with automatic level compensation
  • Simultaneously boost and attenuate on the same low frequency
  • Distinct Pultec natural filter curve
  • Dial up large amount of boost or cut without sacrificing naturalness and musicality

Order the EVE-MP5 equalizer plug-in today.

SPECIFICATIONS
  • Requirements:
  • Windows XP, Vista 7 or later (32/64-bit)
  • Mac OS 10.5 or later (32/64-bit)
  • VST or AU compatible Host Software
  • Please note that this product is a plugin, a VST/AU compatible host/sequencer is needed to run this software

This oversized item has special shipping requirements

Restrictions

Reviews
Questions & Answers View All
Loading....
Questions & Answers
Customer Service

Sign up for the latest deals!

You are changing the Ship-To country.

Our product catalog varies by country due to manufacturer restrictions. If you change the Ship-To country, some or all of the items in your cart may not ship to the new destination.